Bug 1593527 (CVE-2018-10862)

Summary: CVE-2018-10862 wildfly-core: Path traversal can allow the extraction of .war archives to write arbitrary files (Zip Slip)
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: alazarot, anstephe, avibelli, bgeorges, bmaxwell, bmcclain, cdewolf, chazlett, csutherl, darran.lofthouse, dblechte, dimitris, dosoudil, drieden, eedri, etirelli, fgavrilo, ibek, java-sig-commits, jawilson, jbalunas, jolee, jondruse, jpallich, jschatte, jshepherd, jstastny, krathod, kverlaen, lef, lgao, loleary, lpetrovi, lthon, mgoldboi, michal.skrivanek, mszynkie, myarboro, paradhya, pdrozd, pgallagh, pgier, pjurak, ppalaga, psakar, pslavice, psotirop, puntogil, rnetuka, rrajasek, rruss, rstancel, rsvoboda, rsynek, rzhang, sbonazzo, sdaley, security-response-team, sgoodman, sherold, spinder, sstavrev, sthorger, theute, trogers, twalsh, vhalbert, vtunka, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20180621,reported=20180621,source=internet,cvss3=7.6/CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:H/A:L,cwe=CWE-22,fedora-all/wildfly-core=affected,epel-7/wildfly-common=affected,rhev-m-4/eap7-wildfly=affected/impact=low,swarm-7/wildfly=affected,rhsso-7/wildfly=affected,jon-3/wildfly=notaffected,fuse-7/wildfly=notaffected,fuse-6/wildfly=notaffected,eap-7/wildfly=affected,eap-6/wildfly=notaffected,jbds-11/wildfly=notaffected,jdv-6/wildfly=affected,jdg-6/wildfly=notaffected,jdg-7/wildfly=affected,brms-6/wildfly=notaffected,bpms-6/wildfly=notaffected
Fixed In Version: wildfly-core 6.0.0.Alpha3 Doc Type: If docs needed, set a value
Doc Text:
It was found that the explode function of the deployment utility in jboss-cli and console that allows extraction of files from an archive does not perform necessary validation for directory traversal. This can lead to remote code execution.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:29:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1594634, 1594635, 1700960, 1594636, 1700959    
Bug Blocks: 1593112    

Description Sam Fowler 2018-06-21 02:09:46 UTC
WildFly does not properly validate file paths in .war archives, allowing for the extraction of crafted .war archives to overwrite arbitrary files.

This is an instance of the 'Zip Slip' vulnerability.


Upstream Issue:

https://issues.jboss.org/browse/WFCORE-3938


External Reference:

https://snyk.io/research/zip-slip-vulnerability

Comment 5 Doran Moppert 2018-06-25 04:26:45 UTC
Statement:

This vulnerability can only be exploited by users with deployment permissions.

Comment 6 Doran Moppert 2018-06-25 04:30:09 UTC
Created wildfly-common tracking bugs for this issue:

Affects: epel-7 [bug 1594635]


Created wildfly-core tracking bugs for this issue:

Affects: fedora-all [bug 1594634]

Comment 9 errata-xmlrpc 2018-07-26 15:39:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:2277 https://access.redhat.com/errata/RHSA-2018:2277

Comment 10 errata-xmlrpc 2018-07-26 15:48:36 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:2276 https://access.redhat.com/errata/RHSA-2018:2276

Comment 11 errata-xmlrpc 2018-07-26 15:49:28 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2018:2279 https://access.redhat.com/errata/RHSA-2018:2279

Comment 12 errata-xmlrpc 2018-08-15 11:20:57 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:2425 https://access.redhat.com/errata/RHSA-2018:2425

Comment 13 errata-xmlrpc 2018-08-15 11:28:40 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2.4 zip

Via RHSA-2018:2428 https://access.redhat.com/errata/RHSA-2018:2428

Comment 14 errata-xmlrpc 2018-08-15 11:31:47 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:2423 https://access.redhat.com/errata/RHSA-2018:2423

Comment 15 errata-xmlrpc 2018-08-15 11:33:34 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2018:2424 https://access.redhat.com/errata/RHSA-2018:2424

Comment 16 Steve Goodman 2018-08-30 10:13:21 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

 

The documentation team will review, edit, and approve the text.

 

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 17 errata-xmlrpc 2018-09-04 13:45:52 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:2643 https://access.redhat.com/errata/RHSA-2018:2643

Comment 23 errata-xmlrpc 2019-04-24 18:46:50 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877